Mark Price and Funding Rate
Description
Get the mark price and funding rate for a trading pair.
HTTP Request
GET /fapi/v1/premiumIndex
Weight
1 (for a single symbol) 10 (for all symbols)
Request Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| symbol | STRING | NO | Trading pair |
Response Example
{
"symbol": "BTCUSDT",
"markPrice": "11012.80409769", // Mark price
"indexPrice": "11008.23232323", // Index price
"estimatedSettlePrice": "11031.11111111", // Estimated settlement price
"lastFundingRate": "0.00010000", // Latest funding rate
"nextFundingTime": 1597392000000, // Next funding settlement time
"interestRate": "0.00010000", // Underlying asset interest rate
"time": 1597372891339 // Update time
}
OR (if no symbol is sent)
[
{
"symbol": "BTCUSDT",
...
}
]
Code Examples
cURL
# Single symbol
curl -s "https://api-sepolia.ztdx.io/fapi/v1/premiumIndex?symbol=BTCUSDT"
# All symbols
curl -s "https://api-sepolia.ztdx.io/fapi/v1/premiumIndex"
Python
import requests
base_url = "https://api.ztdx.io"
response = requests.get(f"{base_url}/fapi/v1/premiumIndex", params={"symbol": "BTCUSDT"})
data = response.json()
print(f"Symbol: {data['symbol']}")
print(f"Mark Price: {data['markPrice']}")
print(f"Index Price: {data['indexPrice']}")
print(f"Last Funding Rate: {data['lastFundingRate']}")